import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.filechooser.*;

public class Frame1 extends JFrame
{
	JPanel contentPane;
	BorderLayout borderLayout1 = new BorderLayout();
	JMenuBar jMenuBar1 = new JMenuBar();
	JMenu jMenu1 = new JMenu();
	JMenuItem jMenuItemNew = new JMenuItem();
	JMenuItem jMenuItemOpen = new JMenuItem();
	JMenuItem jMenuItemSave = new JMenuItem();
	JLabel statusBar = new JLabel();
	File file;
	JTabbedPane jTabbedPane1 = new JTabbedPane();
	JPanel jPanel1 = new gPanel( );
	//JPanel jPanel2 = new gPanel2();
	//JPanel jPanel3 = new gPanel3();
	//JPanel jPanel4 = new gPanel4();
	//JPanel jPanel5 = new gPanel5();

	/**Construct the frame*/
	public Frame1()
	{
		enableEvents(AWTEvent.WINDOW_EVENT_MASK);
		try
		{
			jbInit();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
	/**Component initialization*/
	private void jbInit() throws Exception
	{
		//setIconImage(Toolkit.getDefaultToolkit().createImage(Frame1.class.getResource("[Your Icon]")));
		contentPane = (JPanel) this.getContentPane();
		contentPane.setLayout(borderLayout1);
		this.setSize(new Dimension(800, 600));
		this.setTitle("Project 2 Path Planning Eelke Toonstra");
		jMenu1.setText("File");
		jMenuItemNew.setText("New");
		jMenuItemOpen.setText("Open");
		jMenuItemSave.setText("Save");
		//contentPane.setPreferredSize(new Dimension(100, 100));
		statusBar.setText("CS777 Computer Animation");
		//statusBar.setMaximumSize(new Dimension(120, 300));
		//statusBar.setMinimumSize(new Dimension(120, 300));
		jPanel1.setBackground(Color.lightGray);
		//jPanel2.setBackground(Color.lightGray);
		//jPanel3.setBackground(Color.lightGray);
		//jPanel4.setBackground(Color.lightGray);
		//jPanel5.setBackground(Color.lightGray);
		jMenuBar1.add(jMenu1);
		//jMenu1.add(jMenuItemNew); doesn't work yet
		jMenu1.add(jMenuItemOpen);
		//jMenu1.add(jMenuItemSave); doesn't work yet
		this.setJMenuBar(jMenuBar1);
		contentPane.add(jTabbedPane1, BorderLayout.CENTER);
		jTabbedPane1.add(jPanel1, "Maya export test");
		//jTabbedPane1.add(jPanel2, "HW2");
		//jTabbedPane1.add(jPanel3, "HW3");
		//jTabbedPane1.add(jPanel4, "Basic");
		contentPane.add(statusBar, BorderLayout.SOUTH);

		final JFileChooser fc = new JFileChooser();
		jMenuItemOpen.addActionListener(new ActionListener()
			{
			public void actionPerformed(ActionEvent e)
			{
				int returnVal = fc.showOpenDialog(Frame1.this);

				if (returnVal == JFileChooser.APPROVE_OPTION)
				{
					file = fc.getSelectedFile();
					//this is where a real application would open the file.

					try
					{
						System.out.println("Opening: " + file.getName() + ".");
						gPanel.fileRead(file);
					}
					catch (Exception fe)
					{
						fe.printStackTrace();
					}
				}
				else
				{
					System.out.println("Open command cancelled by user.");
				}
			}
		});

		jMenuItemSave.addActionListener(new ActionListener()
			{
			public void actionPerformed(ActionEvent e)
			{
				int returnVal = fc.showSaveDialog(Frame1.this);

				if (returnVal == JFileChooser.APPROVE_OPTION)
				{
					File file = fc.getSelectedFile();
					//this is where a real application would save the file.
					System.out.println("Saving: " + file.getName() + ".");
				}
				else
				{
					System.out.println("Save command cancelled by user.");
				}
			}
		});
	}
	
	public File getFile()
	{
		return file;
	}





	/**Overridden so we can exit when window is closed*/
	protected void processWindowEvent(WindowEvent e)
	{
		super.processWindowEvent(e);
		if (e.getID() == WindowEvent.WINDOW_CLOSING)
		{
			System.exit(0);
		}
	}





}


